Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class AntFilterReader

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.AntFilterReader

All Implemented Interfaces:
  java.lang.Cloneable

    public final class AntFilterReader

extends DataType
implements java.lang.Cloneable

An AntFilterReader is a wrapper class that encloses the classname and configuration of a Configurable FilterReader.

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`AntFilterReader()`

Method Summary
`void` | `addParam(Parameter param)` Add a Parameter.
`Path` | `createClasspath()` Set the classpath to load the FilterReader through (nested element).
`protected void` | `dieOnCircularReference(java.util.Stack<java.lang.Object> stk, Project p)` Check to see whether any DataType we hold references to is included in the Stack (which holds all DataType instances that directly or indirectly reference this instance, including this instance itself).
`java.lang.String` | `getClassName()` Get the className attribute.
`Path` | `getClasspath()` Get the classpath.
`Parameter[]` | `getParams()` The parameters for this filter.
`void` | `setClassName(java.lang.String className)` Set the className attribute.
`void` | `setClasspath(Path classpath)` Set the classpath to load the FilterReader through (attribute).
`void` | `setClasspathRef(Reference r)` Set the classpath to load the FilterReader through via reference (attribute).
`void` | `setRefid(Reference r)` Makes this instance in effect a reference to another AntFilterReader instance.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes, toString`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AntFilterReader

    public AntFilterReader()

Method Detail

### setClassName

    public void setClassName(java.lang.String className)

  Set the className attribute.

  Parameters:
    `className` - a `String` value

### getClassName

    public java.lang.String getClassName()

  Get the className attribute.

  Returns:
    a `String` value

### addParam

    public void addParam(Parameter param)

  Add a Parameter.

  Parameters:
    `param` - a `Parameter` value

### setClasspath

    public void setClasspath(Path classpath)

  Set the classpath to load the FilterReader through (attribute).

  Parameters:
    `classpath` - a classpath

### createClasspath

    public Path createClasspath()

  Set the classpath to load the FilterReader through (nested element).

  Returns:
    a classpath to be configured

### getClasspath

    public Path getClasspath()

  Get the classpath.

  Returns:
    the classpath

### setClasspathRef

    public void setClasspathRef(Reference r)

  Set the classpath to load the FilterReader through via reference (attribute).

  Parameters:
    `r` - a reference to a classpath

### getParams

    public Parameter[] getParams()

  The parameters for this filter.

  Returns:
    a `Parameter[]` value

### setRefid

    public void setRefid(Reference r)
                  throws BuildException

  Makes this instance in effect a reference to another AntFilterReader instance.

  You must not set another attribute or nest elements inside this element if you make it a reference.

  Overrides:
    `setRefid` in class `DataType`
  Parameters:
    `r` - the reference to which this instance is associated
  Throws:
    `BuildException` - if this instance already has been configured.

### dieOnCircularReference

    protected void dieOnCircularReference(java.util.Stack<java.lang.Object> stk,
                                          Project p)
                                   throws BuildException

  Description copied from class: `DataType`
  Check to see whether any DataType we hold references to is included in the Stack (which holds all DataType instances that directly or indirectly reference this instance, including this instance itself).

  If one is included, throw a BuildException created by `circularReference`.

  This implementation is appropriate only for a DataType that cannot hold other DataTypes as children.

  The general contract of this method is that it shouldn't do anything if ``checked`` is true and set it to true on exit.

  Overrides:
    `dieOnCircularReference` in class `DataType`
  Parameters:
    `stk` - the stack of references to check.
    `p` - the project to use to dereference the references.
  Throws:
    `BuildException` - on error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD